
-- DROP TABLE tl_occupation;




CREATE TABLE tl_occupation (
    object_id number(12) NOT NULL ,
    object_last_updated_date date DEFAULT SYSDATE NOT NULL ,
    object_created_date date DEFAULT SYSDATE NOT NULL
    ,
    code varchar2(4) NOT NULL,
    name varchar2(250) NOT NULL,
    level varchar2(200) NOT NULL,
    assessment_type varchar2(200) NULL,
    parttime_assessment_type varchar2(200) NULL,
    assessment_level_id number(12)  NULL,
    express_assessment_level_id number(12)  NULL,
    parent_occupation_id number(12)  NULL
    );



ALTER TABLE tl_occupation ADD    
    CONSTRAINT PK_tl_occupation PRIMARY KEY 
    (
        object_id
    ) ;
    
    
    
    CREATE INDEX idx_tl_occupation_parent_occupation_id 
    ON tl_occupation (parent_occupation_id);
